%define debug_package %{nil}
Summary: A Pluggable Authentication Module for coda using krb5 authentication
Name: pam_kcoda
Version: 0.5.1
Release: 4%{?dist}
URL: http://mir.dnsalias.com/_media/oss/pamcoda/
Source0: http://mir.dnsalias.com/_media/oss/pamcoda/pam_kcoda-v%{version}.tgz
Source1: pam_kcoda-license-README.txt
License: GPLv2+
Group: System Environment/Base
BuildRequires: pam-devel, e2fsprogs-devel, krb5-devel
Requires: pam_krb5 coda-client
BuildRoot: %{_tmppath}/%{name}-root

Patch0: pam_kcoda-Makefile.patch

%description 
This is pam_kcoda, a pluggable authentication module that can be used with
Linux-PAM and the coda file system.  It uses previously obtained kerberos 5
tickets to authenticate the user against a coda auth server and obtains coda 
tickets for use on the specified realm

%prep
%setup -q -n pam_kcoda-v%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC -g"; export CFLAGS
make
strip pam_kcoda.so

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -m 0755 pam_kcoda.so $RPM_BUILD_ROOT/%{_lib}/security

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/security/*
%doc README AUTHORS COPYING

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Neil Horman <nhorman@redhat.com> - 0.5.1-2
- Added license file

* Thu Oct 01 2008 Neil Horman <nhorman@redhat.com> - 0.5.1-1
- Update Version with new license

* Fri Sep 12 2008 Neil Horman <nhorman@redhat.com> - 0.4-5
- strip pam_kcoda dso

* Fri Sep 12 2008 Neil Horman <nhorman@redhat.com> - 0.4-4
- Add license README doc

* Wed Sep 09 2008 Neil Horman <nhorman@redhat.com> - 0.4-33
- More spec file cleanups/disable debuginfo

* Tue Sep 08 2008 Neil Horman <nhorman@redhat.com> - 0.4-2
- Misc spec file cleanups

* Fri Sep 05 2008 Neil Horman <nhorman@redhat.com> - 0.4-1
- initial build
